pagespeed-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ju...@apache.org
Subject [44/50] [abbrv] incubator-pagespeed-cpanel git commit: added mod_ruid2 as incompatible module
Date Sat, 30 Dec 2017 04:41:55 GMT
added mod_ruid2 as incompatible module


Project: http://git-wip-us.apache.org/repos/asf/incubator-pagespeed-cpanel/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-pagespeed-cpanel/commit/5775bc53
Tree: http://git-wip-us.apache.org/repos/asf/incubator-pagespeed-cpanel/tree/5775bc53
Diff: http://git-wip-us.apache.org/repos/asf/incubator-pagespeed-cpanel/diff/5775bc53

Branch: refs/pull/48/head
Commit: 5775bc531f37636d9543f4453ba8292ae52b48fd
Parents: 54d28b1
Author: Prajith <prajithpalakkuda@gmail.com>
Authored: Tue Jun 28 07:49:00 2016 +0400
Committer: Prajith <prajithpalakkuda@gmail.com>
Committed: Tue Jun 28 07:49:00 2016 +0400

----------------------------------------------------------------------
 EA4/SPECS/mod_pagespeed.spec                     |   4 ++++
 ...-apache24-mod_pagespeed-latest-stable.src.rpm | Bin 5320 -> 5464 bytes
 Easy/Speed.pm                                    |   6 +++---
 3 files changed, 7 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-pagespeed-cpanel/blob/5775bc53/EA4/SPECS/mod_pagespeed.spec
----------------------------------------------------------------------
diff --git a/EA4/SPECS/mod_pagespeed.spec b/EA4/SPECS/mod_pagespeed.spec
index 56f9a01..8e9d35a 100644
--- a/EA4/SPECS/mod_pagespeed.spec
+++ b/EA4/SPECS/mod_pagespeed.spec
@@ -11,6 +11,7 @@ URL: http://modpagespeed.com/
 Source0: 456_pagespeed.conf
 BuildRequires: wget
 BuildRequires: cpio
+Conflicts: %{ns_name}-mod_ruid2
 Requires(pre): ea-apache24 ea-apache24-mod_version
 
 # Suppres auto-provides for module DSO
@@ -57,6 +58,9 @@ rm -rf %{buildroot}
 %config(noreplace) %{_httpd_modconfdir}/*.conf
 
 %changelog
+* Mon Jun 28 2016 Prajith <prajithpalakkuda@gmail.com> - 1.9-3
+- Added mod_ruid2 as conflict package
+
 * Thu Dec 17 2015 Prajith <prajithpalakkuda@gmail.com> - 1.9-2
 - Change version and release to 'latest' and 'stable'
 - update license to ' Apache Software License'

http://git-wip-us.apache.org/repos/asf/incubator-pagespeed-cpanel/blob/5775bc53/EA4/ea-apache24-mod_pagespeed-latest-stable.src.rpm
----------------------------------------------------------------------
diff --git a/EA4/ea-apache24-mod_pagespeed-latest-stable.src.rpm b/EA4/ea-apache24-mod_pagespeed-latest-stable.src.rpm
index 7baa864..1006160 100644
Binary files a/EA4/ea-apache24-mod_pagespeed-latest-stable.src.rpm and b/EA4/ea-apache24-mod_pagespeed-latest-stable.src.rpm
differ

http://git-wip-us.apache.org/repos/asf/incubator-pagespeed-cpanel/blob/5775bc53/Easy/Speed.pm
----------------------------------------------------------------------
diff --git a/Easy/Speed.pm b/Easy/Speed.pm
index 4c2d762..2d0e39d 100755
--- a/Easy/Speed.pm
+++ b/Easy/Speed.pm
@@ -7,7 +7,7 @@ our $easyconfig = {
   'hastargz'  => 1,
   'ensurepkg' => [qw{rpm cpio}],
   'depends'   => { 'optmods' => { 'Cpanel::Easy::Apache::Deflate' => 1, 'Cpanel::Easy::Apache::Version'
=> 0, }, },
-  'implies'   => { 'Cpanel::Easy::Apache::Deflate' => 1, 'Cpanel::Easy::Apache::Version'
=> 0, },
+  'implies'   => { 'Cpanel::Easy::Apache::Deflate' => 1, 'Cpanel::Easy::Apache::Version'
=> 0, 'Cpanel::Easy::ModRuid2' => 0, },
   'src_cd2'   => 'pagespeed/',
 
   'when_i_am_off' => sub {
@@ -29,8 +29,8 @@ our $easyconfig = {
    # Apache 2.4 because cPanel use './configure --enable-modules=none'.
     my ( $easy, $self_hr, $profile_hr ) = @_;
     if ( $profile_hr->{'Apache'}{'version'} eq '2_4' ) {
-       $self_hr->{'implies'} = { 'Cpanel::Easy::Apache::Deflate' => 1, 'Cpanel::Easy::Apache::Version'
=> 1, };
-       $self_hr->{'depends'} = { 'optmods' => { 'Cpanel::Easy::Apache::Deflate' =>
1, 'Cpanel::Easy::Apache::Version' => 1, }, },
+       $self_hr->{'implies'} = { 'Cpanel::Easy::Apache::Deflate' => 1, 'Cpanel::Easy::Apache::Version'
=> 1, 'Cpanel::Easy::ModRuid2' => 0, };
+       $self_hr->{'depends'} = { 'optmods' => { 'Cpanel::Easy::Apache::Deflate' =>
1, 'Cpanel::Easy::Apache::Version' => 1, 'Cpanel::Easy::ModRuid2' => 0, }, },
     }
   },
 


Mime
View raw message